Review library shape
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}/review \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}/review"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}/review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}/review",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}/review"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}/review")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}/review")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"project_id": "<string>",
"publisher": {
"id": "<string>",
"slug": "<string>",
"display_name": "<string>"
},
"head": {
"shape_id": "<string>",
"revision_id": "<string>",
"artifact_digest": "<string>",
"generation": 0
},
"status": "ready",
"can_add": true,
"current_revision": "<unknown>",
"candidate_revision": "<unknown>",
"before": {
"shapes": 0,
"types": 0,
"relationships": 0
},
"after": {
"shapes": 0,
"types": 0,
"relationships": 0
},
"added_types": [
{
"shape_id": "<string>",
"type_id": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"added_relationships": [
{
"shape_id": "<string>",
"relationship_id": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"diagnostics": [
"<unknown>"
],
"existing_data": "unchanged"
}
}Shapes
Review library shape
Review a library Shape before linking it.
Review library shape
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}/review \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}/review"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}/review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}/review",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}/review"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}/review")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}/review")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"project_id": "<string>",
"publisher": {
"id": "<string>",
"slug": "<string>",
"display_name": "<string>"
},
"head": {
"shape_id": "<string>",
"revision_id": "<string>",
"artifact_digest": "<string>",
"generation": 0
},
"status": "ready",
"can_add": true,
"current_revision": "<unknown>",
"candidate_revision": "<unknown>",
"before": {
"shapes": 0,
"types": 0,
"relationships": 0
},
"after": {
"shapes": 0,
"types": 0,
"relationships": 0
},
"added_types": [
{
"shape_id": "<string>",
"type_id": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"added_relationships": [
{
"shape_id": "<string>",
"relationship_id": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"diagnostics": [
"<unknown>"
],
"existing_data": "unchanged"
}
}Operation ID:
http.shapes.library.review
GET /v1/orgs/{org}/projects/{project}/shapes/library/{publisher}/{shape}/review
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The listed artifact digest to review, sha256:<64 hex>.
Pattern:
^sha256:[0-9a-f]{64}$Response
2XX - application/json
Success.
Show child attributes
Show child attributes